package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 作业类型
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-07 14:41
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="WMS_OP_TYPE")
@Api("作业类型")
public class WmsOpType extends BaseBean{

    @Column(name="OP_TYPE_CODE")
    @ApiParam("类型编号")
    private String opTypeCode;

    @Column(name="OP_TYPE_NAME")
    @ApiParam("类型名称")
    private String opTypeName;

    @Column(name="SEQ")
    @ApiParam("序号")
    private Integer seq;

    @Column(name="PROG_CODE")
    @ApiParam("处理程序")
    private String proCode;

}
